apply plugin: 'com.android.library'
apply plugin: 'org.jetbrains.kotlin.android'
apply plugin: 'kotlin-android'

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]
    defaultConfig {
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"
        ndk {
            abiFilters "armeabi-v7a"
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }

        debug {
            jniDebuggable true
            debuggable true
        }

        yufabu {
            jniDebuggable true
            debuggable true
        }
    }

    repositories {
        flatDir {
            dirs 'libs'
        }
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
}

dependencies {
    // 已有改行，不需要再特别引入aar
    implementation fileTree(include: ['*.jar','*.aar'], dir: 'libs')


    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'com.google.android.material:material:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
    implementation 'com.jakewharton:butterknife:7.0.1'
    implementation 'androidx.recyclerview:recyclerview:1.0.0'
    implementation 'com.google.zxing:core:3.3.0'
    implementation 'com.github.bumptech.glide:glide:4.9.0'
    implementation 'cat.ereza:customactivityoncrash:2.1.0'
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.0'
    implementation 'io.reactivex.rxjava2:rxjava:2.2.2'
    implementation 'com.google.zxing:core:3.3.3'

    implementation 'com.caverock:androidsvg:1.4+'


    compile "org.jetbrains.kotlin:kotlin-stdlib:1.3.72"

    api files('libs/telpo_sdk_20240108_noserial.jar')

//    api files('libs/telpo_sdk_210726.jar')
//    api files('libs/telpo_sdk_210726_new.jar')
//    api files('libs/telpo_sdk_20231208.jar')
//    api files('libs/posutil_sdk_20231226.jar')





    // y9打印
//    implementation(name: 'printlib-debug', ext: 'aar')
    // y9打印-a4
//    implementation(name: 'sdk_800r09_library-release-1.0.4', ext: 'aar')


    // 添加base依赖
    implementation project(path: ':lib_base')

    implementation project(path: ':lib_arome')

    implementation project(path: ':LocalRepo')


}
